Bug 65224 - piglit arb_uniform_buffer_object-maxuniformblocksize fs regression
Summary: piglit arb_uniform_buffer_object-maxuniformblocksize fs regression
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks: 79039
  Show dependency treegraph
 
Reported: 2013-06-01 00:09 UTC by Vinson Lee
Modified: 2014-08-11 18:26 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2013-06-01 00:09:15 UTC
mesa: 869c5d438f137b2c6b9aec1dddc00bfa64f36621 (master)

piglit arb_uniform_buffer_object-maxuniformblocksize fs regressed on softpipe and llvmpipe.

$ ./bin/arb_uniform_buffer_object-maxuniformblocksize fs -auto
Mesa warning: failed to remap glClampColorARB
Mesa warning: failed to remap glTexBufferARB
Mesa warning: failed to remap glFramebufferTextureARB
Mesa warning: failed to remap glVertexAttribDivisorARB
Mesa warning: failed to remap glProgramParameteriARB
Max uniform block size: 65536
Testing FS with uniform block vec4 v[4096]
Failed to link: error: Too many fragment shader uniform components
Failed to link with uniform block vec4 v[4096]
PIGLIT: {'result': 'fail' }

614ee25077b7ffafeb87b22563d01856824fb4bc is the first bad commit
commit 614ee25077b7ffafeb87b22563d01856824fb4bc
Author: Marek Olšák <maraeo@gmail.com>
Date:   Thu May 2 02:38:43 2013 +0200

    st/mesa: initialize all program constants and UBO limits
    
    Also simplify UBO support checking.
    
    NOTE: This is a candidate for the 9.1 branch.
    
    Reviewed-by: Brian Paul <brianp@vmware.com>

:040000 040000 43469d74b142c9f8cc68e07142a952dd73c6298d bd3bffda50371f7e9f646dda596077eb828ec3be M	src
bisect run success
Comment 1 Vinson Lee 2014-03-02 03:46:05 UTC
mesa: fc25956badb8e1932cc19d8c97b4be16e92dfc65 (master 10.2.0-devel)

arb_uniform_buffer_object-maxuniformblocksize fs passes on softpipe now but still fails on llvmpipe.
Comment 2 Roland Scheidegger 2014-08-11 18:26:51 UTC
Seems to work here now.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.